Loading...
Searching...
No Matches
cnanovdb_rootdataF3 Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes

cnanovdb_coord | mBBox_min
cnanovdb_coord | mBBox_max
uint32_t | mTableSize
cnanovdb_Vec3F | mBackground
cnanovdb_Vec3F | mMinimum
cnanovdb_Vec3F | mMaximum
float | mAverage
float | mStdDevi
uint32_t | _reserved [(-(sizeof(cnanovdb_coord) *2+sizeof(uint32_t)+sizeof(cnanovdb_Vec3F) *3+sizeof(float) *2) &((32) -1))/4]

## Member Data Documentation

## _reserved

uint32_t _reserved[(-(sizeof(cnanovdb_coord) *2+sizeof(uint32_t)+sizeof(cnanovdb_Vec3F) *3+sizeof(float) *2) &((32) -1))/4]

## mAverage

float mAverage

## mBackground

cnanovdb_Vec3F mBackground

## mBBox_max

cnanovdb_coord mBBox_max

## mBBox_min

cnanovdb_coord mBBox_min

## mMaximum

cnanovdb_Vec3F mMaximum

## mMinimum

cnanovdb_Vec3F mMinimum

## mStdDevi

float mStdDevi

## mTableSize

uint32_t mTableSize